Announcement Announcement Module
Collapse
No announcement yet.
Cannot complete the install (update failed) Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Cannot complete the install (update failed)

    Hello all,

    is ther any hint for:

    SpringSource Tool Suite 2.7.0.201106101000-M2 com.springsource.sts.ide
    SpringSource Tool Suite dm Server Tools 2.7.0.201106101000-M2 com.springsource.sts.server.dm.feature.group
    Cannot complete the install because of a conflicting dependency.
    Software being installed: SpringSource Tool Suite dm Server Tools 2.7.0.201106101000-M2 (com.springsource.sts.server.dm.feature.group 2.7.0.201106101000-M2)
    Software currently installed: Shared profile 1.0.0.1307342820801 (SharedProfile_com.springsource.sts.ide 1.0.0.1307342820801)
    Only one of the following can be installed at once:
    SpringSource Tool Suite Quick Fixes 2.6.0.201103161000-RELEASE (com.springsource.sts.quickfix 2.6.0.201103161000-RELEASE)
    SpringSource Tool Suite Quick Fixes 2.7.0.201106101000-M2 (com.springsource.sts.quickfix 2.7.0.201106101000-M2)
    SpringSource Tool Suite Quick Fixes 2.6.0.201105041000-RELEASE (com.springsource.sts.quickfix 2.6.0.201105041000-RELEASE)
    Cannot satisfy dependency:
    From: Shared profile 1.0.0.1307342820801 (SharedProfile_com.springsource.sts.ide 1.0.0.1307342820801)
    To: com.springsource.sts.quickfix [2.6.0.201105041000-RELEASE]
    Cannot satisfy dependency:
    From: SpringSource Tool Suite (required) 2.7.0.201106101000-M2 (com.springsource.sts.feature.group 2.7.0.201106101000-M2)
    To: com.springsource.sts.quickfix [2.7.0.201106101000-M2]
    Cannot satisfy dependency:
    From: SpringSource Tool Suite dm Server Tools 2.7.0.201106101000-M2 (com.springsource.sts.server.dm.feature.group 2.7.0.201106101000-M2)
    To: com.springsource.sts.feature.group 2.7.0
    Thx ahead
    nulli

  • #2
    Hey!

    You are trying to update an existing installation, right? Can you tell me what exact version you are trying to update, so that I can try to reproduce this locally?

    Thanks!
    Martin

    Comment


    • #3
      Hi Martin,

      thank you for the effort.

      I'm riding a STS

      Version: 2.6.1.RELEASE
      Build Id: 201105041000

      on a Win7 pro 64bit.


      Thx ahead and happy weekend!

      Comment


      • #4
        Hey!

        I tried to reproduce the problem without success. Here is what I tried:

        - install a fresh 2.6.1 sts
        - added the dm server tooling to it via the extension install and restarted
        - disabled the general sts 2.6 update site
        - added the sts 2.7 milestone update site
        - "check for updates"

        This showed me two components available for an update: general sts and the dm server tooling, both for M2. And installing that update also succeeded.
        I guess we need to figure out what is different in your setting. Did you do something different to update to M2?

        -Martin

        Comment


        • #5
          Hello Martin,

          thank you again.

          It seems I'm using a similar configuration (screenshot).

          But I think we can stop here. I'll try to disable milestones now and wait for a regular update.

          best wishes
          nulli

          Comment

          Working...
          X